> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/notifications-api/contacts.md).

# Contact

The Contact object represents a contact who receives the notifications. Contact can be linked to a user in the platform. Each contact can manage its notification preferences at the category level.&#x20;

This object contains the following attributes:

<table><thead><tr><th width="141">Field</th><th width="159">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>(Read-only) A primary identifier for the contact. </td></tr><tr><td><code>href</code></td><td>string, core</td><td>(Read-only) A relative reference to the object. </td></tr><tr><td><code>name</code></td><td>string, core</td><td>The display name of the contact.  </td></tr><tr><td><code>email</code></td><td>string, core</td><td>The email address of the contact.  </td></tr><tr><td><code>user</code></td><td>object, core</td><td><p>(Read-only) Indicates if the email belongs to a <a href="/pages/FPCTzWst4p8gyXQOzttt"><code>user</code></a> registered on the platform. </p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">{
  "id": "USR-3773-5838",
  "href": "/accounts/users/USR-1234-9876",
  "name": "Will Smith",
  "email": "will.smith@softwareone.com"
}
</code></pre></td></tr><tr><td><code>optOuts</code></td><td>object</td><td><p>Represents the <a href="/pages/V1ox0ZYVCjxdL4bPr5rA"><code>category</code></a> object, containing the list of notification categories the contact has chosen to opt out of. By default, a contact is opted into all published categories.</p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">[
  {
    "id": "NTC-1234-9876",
    "href": "/notifications/categories/NTC-1234-9876",
    "name": "Orders",
    "shortDescription": "Orders"
  }
]
</code></pre></td></tr><tr><td><code>status</code></td><td>enum</td><td>Indicates the status. Allowed values are <code>active</code> or <code>blocked</code>.</td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object. </td></tr></tbody></table>

## Example

{% code title="CONTACT OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "CTT-1234-9876-1234",
  "href": "/v1/notifications/contacts/CTT-1234-9876-1234",
  "name": "Will Smith",
  "email": "will.smith@softwareone.com",
  "user": {
    "id": "USR-3773-5838",
    "href": "/accounts/users/USR-1234-9876",
    "name": "Will Smith",
    "email": "will.smith@softwareone.com"
  },
  "optOuts": [
    {
      "id": "NTC-1234-9876",
      "href": "/notifications/categories/NTC-1234-9876",
      "name": "Orders",
      "shortDescription": "Orders"
    }
  ],
  "status": "Active",
  "audit": {
    "created": {
      "at": "2023-12-14T17:28:57Z",
      "by": {
        "id": "UR-1234-1234-1234",
        "name": "John Smith",
        "icon": "/static/users/UR-1234-1234-1234.icon.svg"
      },
      "of": {
        "id": "ACC-1234-1234",
        "href": "/accounts/accounts/ACC-1234-1234",
        "name": "Microsoft",
        "icon": "/static/ACC-1234-1234/account.png"
      }
    }
  }
}
```

{% endcode %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/notifications-api/contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
